﻿@{
    var userAvatar = "/client/images/profile--empty.png";
    var userFullName = "ناشناس";

    var isUserSessionValid = !String.IsNullOrEmpty(ViewBag.UserFullName);
    if (isUserSessionValid)
    {
        userFullName = ViewBag.UserFullName;
        userAvatar = ViewBag.UserAvatarUrl;
    }
}

<div class="profile" id="navProfileInfo">
    <div class="profile__mini-info">
        <div class="profile__image-wrapper">
            <img class="profile__image"
                 alt="تصویر کاربر"
                 src="@userAvatar" />
        </div>
        

        @userFullName

    </div>
    <div class="profile__popup" id="navProfilePopup">
        <div class="profile__image-wrapper profile__image-wrapper--big">
            <img class="profile__image profile__image--big"
                 alt="تصویر کاربر"
                 src="@userAvatar" />
        </div>
        

        <div class="profile__full-name">
            همکار گرامی
            <b>
                @userFullName
            </b>
            خوش آمدید!
        </div>
        @Html.DevExpress().Button(settings =>
        {
            settings.Name = "panelSignoutBtn";
            settings.UseSubmitBehavior = false;
            settings.Text = "خروج از حساب کاربری";
            settings.RenderMode = ButtonRenderMode.Danger;
            settings.ClientSideEvents.Click = "motorsazanClient.authentication.signout";
        }).GetHtml()

    </div>
</div>

<div class="login__modal" id="loginModal">
    <form class="login__form">
        <h2 class="login__title">
            تایید هویت
        </h2>
        <div class="login__descriotion">
            همکار گرامی، به دلیل اتمام زمان استاندارد استفاده از سامانه و افزایش امنیت، نیاز به تایید مجدد اطلاعات هویتی شما می باشد.
        </div>
        <div class="app__form-item">
            <label class="app__form-label">
                نام کاربری
            </label>
            @Html.DevExpress().TextBox(settings =>
             {
                 settings.Name = "loginModalUserNameInput";
                 settings.Properties.NullText = "نام کاربری خود را وارد نمایید";
             }).GetHtml()
            <div class="app__form-error app__hide" id="loginModalUserNameInputError">
                نام کاربری وارد نشده است
            </div>
        </div>
        <div class="app__form-item">
            <label class="app__form-label">
                رمز ورود
            </label>
            @Html.DevExpress().TextBox(settings =>
            {
                settings.Name = "loginModalPasswordInput";
                settings.Properties.NullText = "رمز ورود خود را وارد نمایید";
                settings.Properties.Password = true;
            }).GetHtml()
            <div class="app__form-error app__hide" id="loginModalPasswordInputError">
                رمز عبور وارد نشده است
            </div>
        </div>
        <div class="login__action-wrapper">

            @Html.DevExpress().Button(settings =>
            {
                settings.Name = "loginModalDoLoginBtn";
                settings.UseSubmitBehavior = true;
                settings.Text = "تایید اطلاعات کاربری";
                settings.ControlStyle.CssClass = "login__action-btn";
            }).GetHtml()

        </div>
    </form>
</div>